View Issue Details Jump to Notes ] Issue History ] Print ]
IDProjectCategoryView StatusDate SubmittedLast Update
0013544ParaView(No Category)public2012-10-22 20:242015-01-11 08:32
ReporterAlan Scott 
Assigned ToUtkarsh Ayachit 
PriorityhighSeverityminorReproducibilityhave not tried
StatusclosedResolutionfixed 
PlatformOSOS Version
Product Versiongit-master 
Target Version4.0Fixed in Version3.98.0 
Summary0013544: Toggle on blocks, exodus reader broken
DescriptionThe toggle for all blocks in the exodus reader is broken again.
Local server, Linux, master.
Open can.exo. All vars on. Apply.
Now, turn all blocks off. Click the X below blocks. Nothing toggles.

This is important for folks that have a lot of blocks in their dataset.
TagsNo tags attached.
ProjectSandia
Topic Name13544_fix_header_clicks
Typeincorrect functionality
Attached Files

- Relationships Relation Graph ] Dependency Graph ]

-  Notes
(0029482)
Alan Scott (manager)
2012-10-22 20:25

Marking high, since this really impacts users that have a lot of blocks.
(0029483)
Alan Scott (manager)
2012-10-22 20:26

Trying to get into the 4.0 release.
(0029508)
Alan Scott (manager)
2012-10-24 21:12

OK, this one is easy. The visible X on the GUI is displaced from where you need to click. you have to click anywhere on the banner that says "Blocks", EXCEPT on the X.
(0029510)
Utkarsh Ayachit (administrator)
2012-10-24 22:14

commit 33f0ab2dc249e3090e66613fb41667647ef82f1c
Author: Utkarsh Ayachit <utkarsh.ayachit@kitware.com>
Date: Wed Oct 24 22:12:41 2012 -0400

    Fixed BUG 0013544. Fixed header-clicks for block-selection widgets.
    
    Clicking on checkboxes in the header was not working for pqSILWidget. Fixed
    that. This fixes the issue reported in BUG 0013544.
    
    Change-Id: I54d21c18501e9dba888f4ae301b5782ca762d97c
(0029554)
Utkarsh Ayachit (administrator)
2012-10-29 10:50

merged into master, if applicable.
(0029575)
Alan Scott (manager)
2012-10-29 15:50

Tested remote server, Linux, Master.

- Issue History
Date Modified Username Field Change
2012-10-22 20:24 Alan Scott New Issue
2012-10-22 20:25 Alan Scott Note Added: 0029482
2012-10-22 20:25 Alan Scott Priority normal => high
2012-10-22 20:26 Alan Scott Note Added: 0029483
2012-10-22 20:26 Alan Scott Status backlog => todo
2012-10-24 21:12 Alan Scott Note Added: 0029508
2012-10-24 21:49 Utkarsh Ayachit Target Version => 4.0
2012-10-24 22:14 Utkarsh Ayachit Topic Name => 13544_fix_header_clicks
2012-10-24 22:14 Utkarsh Ayachit Note Added: 0029510
2012-10-24 22:14 Utkarsh Ayachit Status todo => gatekeeper review
2012-10-24 22:14 Utkarsh Ayachit Fixed in Version => git-next
2012-10-24 22:14 Utkarsh Ayachit Resolution open => fixed
2012-10-24 22:14 Utkarsh Ayachit Assigned To => Utkarsh Ayachit
2012-10-29 10:50 Utkarsh Ayachit Fixed in Version git-next => git-master
2012-10-29 10:50 Utkarsh Ayachit Status gatekeeper review => customer review
2012-10-29 10:50 Utkarsh Ayachit Note Added: 0029554
2012-10-29 15:50 Alan Scott Note Added: 0029575
2012-10-29 15:50 Alan Scott Status customer review => closed
2012-10-29 17:04 Utkarsh Ayachit Fixed in Version git-master => 3.98.0
2015-01-11 08:32 Utkarsh Ayachit Source_changeset_attached => ParaView master 43665ae5
2015-01-11 08:32 Utkarsh Ayachit Source_changeset_attached => ParaView master 33f0ab2d


Copyright © 2000 - 2017 MantisBT Team
Powered by Mantis Bugtracker